REM -----------------------------
REM GW 2004-02-16
REM Script to uninstall old dll
REM and install new
REM -----------------------------

REM ----------------------------
REM Revise ClsName for new class
REM ----------------------------
Set ClsName=NVTest_TwoAddons

REM ----------------------------
REM Unregister previous version 
REM of this DLL, and its types
REM ----------------------------
regasm /unregister previous\%ClsName%.dll
PAUSE

REM ----------------------------
REM Remove it from GAC (note: no ".dll"; 
REM Will remove all versions.)
REM ----------------------------
gacutil /u %ClsName%
PAUSE

REM ----------------------------
REM Add new dll to GAC 
REM ----------------------------
gacutil /i %ClsName%.dll
PAUSE

REM --------------------------------
REM Register new dll for COM, and 
REM register type lib also
REM --------------------------------
regasm %ClsName%.dll /tlb:%ClsName%.tlb
PAUSE

REM -----------------------------
REM Save new dll for later unreg
REM -----------------------------
mkdir previous
copy %ClsName%.dll previous

