//--------------------------------------------------
// NETVSL_Util.cs
// Part of Diagramantics NETVSL .NET-to-VSL interface for Visio
// Provided for use with the book:
// Microsoft Visio 2003 Developer's Survival Pack
// Copyright 2003
// Graham Wideman
// Permission granted to owners of the book to incorporate into your own 
// code, and to deploy that code freely.
// 
// -----------------------------
// Purpose:
// Implements NETVSL_Util class to hold some utility methods
// -----------------------------
//
// ----------------------------------------------
//     I M P O R T A N T
// ----------------------------------------------
// -- Probably no need to modify this file.
//
// -- Simply include this file it in your C# project, by adding a 
//    *Link* to this file in your project in the Solution Explorer. 
//    Ie: Use Add > Add Existing Item and in the open-file dialog
//    use the Open button's drop down to select Link. It's fiddly,
//    you have to select but not double click the filename first.
//
// -- See samples to see how to use
//
// -- NOTE: The various methods are static. No need to create
//    an instance of this class, just access methods through  
//    the class name. Eg:
//
//    if ( NETVSL_Util.WithinBounds(A, B, C) ) {...}
//
// -----------------------------------------------
//
// Revision History:
// 
// 2004-02-14 GW First .NET release version
//
//------------------------------------------------


using System;

namespace NETVSL_Common
{
	/// <summary>
	/// Summary description for NETVSL_Util.
	/// </summary>
	internal class NETVSL_Util
	{
		public NETVSL_Util()
		{
		}
		//-----------------------------------
		public static Boolean WithinBounds(int Test, int Lo, int Hi) {
    //-----------------------------------
      return (Test >= Lo) && (Test <= Hi);
		}
	}
}
